<?php
/*
Plugin Name: Mobile Optimize Pro
Plugin URI: http://brettrutecky.com/
Description: Makes any site pass the Google mobile compliance requirement
Version: 1.0
Author: Brett Rutecky
Author URI: http://www.brettrutecky.com
License: Standard
*/

//ini_set('display_errors',1); 
//error_reporting(E_ALL);

/* Runs when plugin is activated */
register_activation_hook(__FILE__,'wop_br_install');
function wop_br_install(){
                          add_option('wop_mop_theme', 'MOP Theme 1');
                          add_option('wop_when_to_show', '1');
                         }


add_action('plugins_loaded', 'MobileFix', 1);
function MobileFix(){

$MOPTheme=get_option('wop_mop_theme');
$WhenToShow=get_option('wop_when_to_show');
if ($WhenToShow==""){$WhenToShow="1";}

$DoShowMobile=false;
                     
include('detect_mobile.php');  
include('detect_google_bot.php');


if ($WhenToShow=="1"){
                      if ($is_mobile){$DoShowMobile=true;}
                      if ($IsGoogleBot){$DoShowMobile=true;}
                     }
if ($WhenToShow=="2"){
                      if ($IsGoogleBot){$DoShowMobile=true;}
                     }                     
if ($WhenToShow=="3"){
                      $DoShowMobile=true;
                     }
                     

if ($DoShowMobile){
                   //echo "<h1>--$MOPTheme--</h1>";
                   add_filter('template', 'LoadMobileTheme');
                   add_filter('stylesheet', 'LoadMobileStyleSheet');
                  }

}



if ( is_admin() ){

/* Call the html code */
add_action('admin_menu', 'mobilefix_admin_menu');

function mobilefix_admin_menu() {
                                 add_menu_page('Mobile OP', 'Mobile OP', 'administrator','mobile-fix', 'mobilefix_admin');
                                  add_submenu_page('mobile-fix','Help','Help',0,'mop_help','mop_help'		);
                                }
}


function mobilefix_admin() {
                            $MOPTheme=get_option('wop_mop_theme');
                            $WhenToShow=get_option('wop_when_to_show');
                            
                            $PGPath=plugins_url()."/mobile_optimize_pro/";
                            echo "
                                  <img src='$PGPath"."images/MOP.png' style='width:300px'>
                                  <br> &nbsp; <br>
                                 ";
                            $themes = bretts_get_themelist();
                            
                            
                            $c=0;
                            foreach ($themes as $theme) {
                                                         //echo $theme['Name']." ".$theme['Template']." ".$theme['Stylesheet']." <br>";
                                                         
	                                                       if ($theme['Name']=="MOP Theme 1"){$TheChoices[$c]="MOP Theme 1";$c=$c+1;}
                                                         if ($theme['Name']=="MOP Theme 2"){$TheChoices[$c]="MOP Theme 2";$c=$c+1;}
                                                         if ($theme['Name']=="MOP Theme 3"){$TheChoices[$c]="MOP Theme 3";$c=$c+1;}
                                                         if ($theme['Name']=="MOP Theme 4"){$TheChoices[$c]="MOP Theme 4";$c=$c+1;}
	                                                       
                                                        }
                            
                            if(isset($_POST['MOPTheme'])){
                                                            update_option('wop_mop_theme', $_POST['MOPTheme']);
                                                            $MOPTheme=get_option('wop_mop_theme');
                                                            echo "
                                                                  <br>
                                                                   <font style='color:#57D0C7; font-weight:900; font-size:14px;'>
                                                                    Mobile layout selection saved!
                                                                   </font>
                                                                  </br>  
                                                                 ";
                                                           }
                            if(isset($_POST['WhenToShow'])){
                                                            update_option('wop_when_to_show', $_POST['WhenToShow']);
                                                            $WhenToShow=get_option('wop_when_to_show');
                                                            echo "
                                                                  <br>
                                                                   <font style='color:#57D0C7; font-weight:900; font-size:14px;'>
                                                                    When to show selection saved!
                                                                   </font>
                                                                  </br>  
                                                                 ";
                                                           }
                            
                            if ($c>0){
                            echo "
                                  <div style='width:600px; padding-bottom:20px;'>
                                   <h3>
                                   There are only two settings required to make <br>Mobile Optimize Press work. 
                                   </h3>
                                   
                                   <b>1st</b> select the mobile layout you would like to use.
                                   <br>
                                   <b>2nd</b> select if you would like to show the mobile layout to all mobile users, to Google Bot only, or to everyone. Selecting 'never' will effectively disable the plugin.
                                   <p>
                                   <b>If you need assistance please email Brett at ruteckyb@yahoo.com, be sure to mention that you are asking about
                                   the Mobile Optimize Press plugin in your email or in the email subject.</b>
                                   </p>
                                  </div>
                                  
                                  <form method='post'>
                                  <table>
                                  <tr>
                                   <td>Select your mobile layout: </td>
                                   <td>
                                    <select name='MOPTheme'>
                                 ";
                            $s=0;
                            while ($s<$c){
                                         echo "
                                               <option
                                               ";
                                         if ($MOPTheme==$TheChoices[$s]){echo " selected='selected'";}      
                                         echo ">".$TheChoices[$s]."</option>\n";
                                          $s=$s+1;
                                         }      
                            echo "
                                  </select>
                                  </tr>
                                  <tr>
                                   <td>Select when to show mobile layout: </td>
                                   <td>
                                    <select name='WhenToShow'>
                                     
                                     <option value='1'";
                                     if ($WhenToShow=="1"){ echo " selected='selected'";}
                                     echo ">To all mobile devices</option>
                                     
                                     <option value='2'";
                                     if ($WhenToShow=="2"){ echo " selected='selected'";}
                                     echo ">Only to Google</option>
                                     
                                     <option value='3'";
                                     if ($WhenToShow=="3"){ echo " selected='selected'";}
                                     echo ">Always</option>
                                     
                                     <option value='4'";
                                     if ($WhenToShow=="4"){ echo " selected='selected'";}
                                     echo">Never</option
                                    </select>
                                   </td>
                                   </tr>  
                                  <tr><td colspan='2'><input type='submit' value='Save Settings'></td>
                                  </table>
                                  </font>
                                 ";  
                            }else{
                                  echo "
                                        <div style='width:600px; padding-bottom:20px;'>
                                         <h3 style='color:#990000;'>You have not added a helper theme, you need to add at least one of the helper themes included
                                         with Mobile Optimization PRO. Please see the 'help' section if you need assistance</h3>
                                        </div>
                                       ";
                                 }               
                           }


/*------------------------------*/
//Global Functions
/*------------------------------*/
function bretts_get_themelist(){
	$themes = wp_get_themes();
	$wp_themes = array();

	foreach ( $themes as $theme ) {
		$name = $theme->get('Name');
		if ( isset( $wp_themes[ $name ] ) )
			$wp_themes[ $name . '/' . $theme->get_stylesheet() ] = $theme;
		else
			$wp_themes[ $name ] = $theme;
	}
	return $wp_themes;
}

function LoadMobileTheme(){
                           $MOPTheme=get_option('wop_mop_theme');
                           if ($MOPTheme=="MOP Theme 1"){return('MOP-Theme1');} 
                           if ($MOPTheme=="MOP Theme 2"){return('MOP-Theme2');}
                           if ($MOPTheme=="MOP Theme 3"){return('MOP-Theme3');}
                           if ($MOPTheme=="MOP Theme 4"){return('MOP-Theme4');} 
                          }
                          
function LoadMobileStyleSheet(){
                                $MOPTheme=get_option('wop_mop_theme');
                                if ($MOPTheme=="MOP Theme 1"){return('MOP-Theme1');}
                                if ($MOPTheme=="MOP Theme 2"){return('MOP-Theme2');}
                                if ($MOPTheme=="MOP Theme 3"){return('MOP-Theme3');}
                                if ($MOPTheme=="MOP Theme 4"){return('MOP-Theme4');}
                               }    
                               



include('help.php');                                                     

?>
